Skip to main content
PUT
Update Webhook

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Body

application/json
url
string<uri>
events
string[]

Response

Webhook updated successfully

id
string<uuid>

Unique identifier for the webhook

url
string<uri>

Webhook URL

description
string | null

Webhook description

events
string[]

Events that trigger this webhook

enabled
boolean

Whether the webhook is enabled

consecutive_failures
integer

Number of consecutive delivery failures

auto_disabled_at
string<date-time> | null

Timestamp when the webhook was auto-disabled due to failures

created_at
string<date-time>

Webhook creation timestamp

updated_at
string<date-time>

Webhook last update timestamp